# TildePublishingUnlimited

E-book publishing projects for generating fiction works, zines, documentation, and other things.

Write in markdown, compile beautiful pdfs, and ebooks.

> to compile, create and edit markdown files in the project `inputs/` subdirectory and then just type `make` in the project directory.


TEMPLATES:
----------

* ebook-story book: short stories, fiction works, verse.
* recipes: standalone recipe pages, should be able to include in book template in the future.
* Upcoming:
    + seriousbook: nonfiction, technical documentation, etc.
    * pamphlets: short informative works.
    * flier-sm-poster: small poster (A4/letter) fliers or posters
    * menu: menus for foods, goods, services

REQUIREMENTS:
-------------

* texlive-full (url)
    + or at least some abridged texlive install with latexmk, texlive-fonts-extra
    * Lipsum package to compile demos
* perl5 (req'd by texlive-full)
* pandoc
* gnu make


DEVELOPMENT MAP:
----------------

* first template set up
* Identify templates for inclusion in project
* Modify templates to follow editing conventions (markdown \includes, etc.)
* get them working & then use githooks to streamline testing during development.
* Begin work on makefiles `[X]`
* Begin work on other output formats using pandoc - ebook formats, html formats(will need css magics)


TODO:
-----

* Define auxfiles directory and succeed in compiling pdf without losing aux files.
* Makefile framework for projects `[STARTED]`
* ~~Change script md2pdf.sh to move .tex files to a different directory to compile from, isolate "*.md" files~~
* Makefiles - standardize the kinds of targets, document default targets, etc.


