# TildePublishingUnlimited

E-book publishing projects for generating fiction works, zines, documentation, and other things.

Write in markdown, compile beautiful pdfs, and ebooks.

> to compile, create and edit markdown files in the project `inputs/` subdirectory and then just type `make` in the project directory.


## recipe single pages
-------------------

Standalone recipe pages, should be able to include in book template in the future.

## Usage
-----

Write recipes according to the markdown examples provided in the `inputs/` subdirectory. Run `make` in this directory to compile PDFs which will go into the `outputs/` subdirectory.

> recipe markdown example
```
---
author: Jacques Pepinillo
foodname: Banans Nut Sweetbreads
prelim:
    - Begin by preheating the oven to 350 $^o$F
    - ...
ingredient: 
    - 1/2 cup unsalted butter (room temp)
    - ...
    - 1/2 small brain
---

The recipe source files are written in markdown with a yaml block header. The author,
name(foodname), preparation steps(prelim), and ingredients list are listed in the
yaml block above. Instructional prose is the main body of each recipe.
\medskip

Step by step instructions, making sure to refer to prelim and
ingredients listed above. Separate paragraphs with this:
\medskip

The latex template (modified pandoc template) can be modified to change formatting
and spacing, and to specify new variables that can then be included in the yaml block
above.

Page dimensions and some other variables can be set by modifying the flags that are
passed to `pandoc` in the Makefile.


```
